/dimensions
Get available dimensions.
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/projected-occupation-growth/dimensions \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>Response Examples
{
"data": [
"lotocc",
"lotspecocc"
]
}GET /dimensions/{dimension}
GET /dimensions/{dimension}Get dimension information.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling occupation growth. Example: lotoccMust be one of: lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/projected-occupation-growth/dimensions/lotocc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": {
"id": "lotspecocc",
"title": "LOT Specialized Occupation",
"description": "Lightcast Occupation Taxonomy (LOT) represented at the Specialized Occupation level.",
"taxonomyVersion": "6",
"supportedTaxonomyVersions": [
"6"
]
}
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}POST /dimensions/{dimension}
POST /dimensions/{dimension}Get the projected growth for a given occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | eum | The occupation dimension used for modeling occupation growth. Example: lotoccMust be one of: lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
{
"id": "101010",
"region": {
"level": "state",
"id": "25"
}
}Code Examples
curl --request POST \
--url https://api.lightcast.io/projected-occupation-growth/dimensions/lotocc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \
--data '
{
"id": "101010",
"region": {
"level": "state",
"id": "25"
}
}
'Response Examples
{
"data": {
"id": "101010",
"name": "Farm / Ranch Manager",
"dimension": "101010",
"region": {
"nation": "us",
"level": "state",
"id": "25",
"name": "Massachusetts"
},
"baseEmployment": 1986,
"growthPercent": {
"oneYear": 0.0316,
"twoYear": 0.0621,
"threeYear": 0.0917,
"fiveYear": 0.147,
"tenYear": 0.2913
}
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}
